Foxit PDF SDK

Instance Methods | List of all members
FSTextPage Class Reference
Inheritance diagram for FSTextPage:

## Instance Methods
(FSRotation) | - getBaselineRotation:
| Get the text trend (as rotation) of a specified rectangle. More...
(int) | - getCharCount
| Get the count of all the characters. More...
(FSTextPageCharInfo *) | - getCharInfo:
| Get character information of a specific character. More...
(FSRange *) | - getCharRange:
| Get the character index range of all text rectangles within the specified rectangle region. More...
(NSString *) | - getChars:count:
| Get all the characters within a range specified by a start index and count. More...
(int) | - getIndexAtPos:y:tolerance:
| Get the character index at or around a specified position on the page, in PDF coordinate system. More...
(NSString *) | - getText:
| Get the page text. More...
(NSString *) | - getTextInRect:
| Get the text within a rectangle, in PDF coordinate system. More...
(FSRectF *) | - getTextRect:
| Get the text rectangle by the index. More...
(FSRectFArray *) | - getTextRectArrayByRect:
| Get the array of all text rectangles within the specified rectangle region. More...
(int) | - getTextRectCount:count:
| Count the text rectangles within a range specified by a start index and count. More...
(NSString *) | - getTextUnderAnnot:
| Get the page text which intersect with a specified an annotation. More...
(FSRange *) | - getWordAtPos:y:tolerance:
| Get the character range of a word at or around a specified position on the page, in PDF coordinate system. More...
(id) | - initWithOther:
| Constructor, with another text page object. More...
(id) | - initWithPage:flags:
| Constructor, from a parsed PDF page. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

PDF text page represents all the text contents in a PDF page, according to a specified parsing flag for these text. Class FSTextPage can be used to retrieve information about text in a PDF page, such as single character, single word, text content within specified character range or rectangle and so on.
This class object can also be used to construct objects of other text related classes in order to do more operation for text contents or access specified information from text contents:

- To search text in text contents of a PDF page, please construct a FSTextSearch object with text page object.
- To access text that are used as a hypertext link, please construct a FSPageTextLinks object with text page object.

See also
  FSTextSearch
  FSPageTextLinks

## Method Documentation

## ◆ getBaselineRotation:()

- (FSRotation) getBaselineRotation: |  | (int) | rect_index |

Get the text trend (as rotation) of a specified rectangle.

Parameters

  [in] | rect_index | The index of the rectangle to be retrieved. Valid range: from 0 to (count -1). count is returned by function FSTextPage::getTextRectCount:count:.

Returns
  Text trend, as rotation value. Please refer to values starting from FSRotation0 and this would be one of these values.

## ◆ getCharCount()

- (int) getCharCount |  |  |

Get the count of all the characters.

Returns
  Count of characters.

## ◆ getCharInfo:()

- (FSTextPageCharInfo *) getCharInfo: |  | (int) | char_index |

Get character information of a specific character.

Parameters

  [in] | char_index | A zero-based index of character. Range: from 0 to (charcount - 1).charcount is returned by function FSTextPage::getCharCount.

Returns
  Character information for the character speicifed by character index.

## ◆ getCharRange:()

- (FSRange *) getCharRange: |  | (FSRectF*) | rect |

Get the character index range of all text rectangles within the specified rectangle region.

Parameters

  [in] | rect | A rectangle region, in PDF coordinate system.

Returns
  Character index range of all text rectangles within the specified rectangle region.

## ◆ getChars:count:()

- (NSString *) getChars: |  | (int) | start
count: |  | (int) | count

Get all the characters within a range specified by a start index and count.

Parameters

  [in] | start | Index of start character, which is the first character of the expected text content. Valid range: from 0 to (charcount -1). charcount is returned by function FSTextPage::getCharCount. Default value: 0.
  [in] | count | Count of characters to be retrieved. -1 means to get the whole characters from start_index to the end of PDF page. Especially, when parameter count is larger than (charcount - start), all the rest character (from start_index) will be retrieved. charcount is returned by function FSTextPage::getCharCount. Default value: -1.

Returns
  The characters within the specified character index range.

## ◆ getIndexAtPos:y:tolerance:()

- (int) getIndexAtPos: |  | (float) | x
y: |  | (float) | y
tolerance: |  | (float) | tolerance

Get the character index at or around a specified position on the page, in PDF coordinate system.

Parameters

  [in] | x | Value of x position, in PDF coordinate system.
  [in] | y | Value of y position, in PDF coordinate system.
  [in] | tolerance | Tolerance value for character hit detection, in point units. This should not be a negative.

Returns
  Index of the character, which is at or nearby point (x,y), starting from 0. Specially, if there are several characters near by point (x, y), the smallest character index will be returned. If there is no character at or nearby the point, -1 will be returned.

## ◆ getText:()

- (NSString *) getText: |  | (FSTextPageTextOrderFlag) | flag |

Get the page text.

Parameters

  [in] | flag | Text order flag to decide how to get text content of the related PDF page. Please refer to values starting from FSTextPageTextStreamOrder and this should be one of these values.

Returns
  All the text content of the related PDF page, in specified text order.

## ◆ getTextInRect:()

- (NSString *) getTextInRect: |  | (FSRectF*) | rect |

Get the text within a rectangle, in PDF coordinate system.

Parameters

  [in] | rect | A rectangle region, in PDF coordinate system.

Returns
  Text string within the specified rectangle.

## ◆ getTextRect:()

- (FSRectF *) getTextRect: |  | (int) | rect_index |

Get the text rectangle by the index.

Parameters

  [in] | rect_index | The index of the rectangle to be retrieved. Valid range: from 0 to (count -1). count is returned by function FSTextPage::getTextRectCount:count:.

Returns
  A specified text rectangle.

## ◆ getTextRectArrayByRect:()

- (FSRectFArray *) getTextRectArrayByRect: |  | (FSRectF*) | rect |

Get the array of all text rectangles within the specified rectangle region.

Parameters

  [in] | rect | A rectangle region, in PDF coordinate system.

Returns
  Text rectangle array within the specified rectangle.

## ◆ getTextRectCount:count:()

- (int) getTextRectCount: |  | (int) | start
count: |  | (int) | count

Count the text rectangles within a range specified by a start index and count.

Parameters

  [in] | start | Index of start character in the character index range. Valid range: from 0 to (charcount -1). charcount is returned by function FSTextPage::getCharCount.
  [in] | count | Count of characters in the character index range. -1 means to get the whole characters from start_index to the end of PDF page.

Returns
  The count of text rectangles in the specified character index range. -1 means error.

## ◆ getTextUnderAnnot:()

- (NSString *) getTextUnderAnnot: |  | (FSAnnot*) | annot |

Get the page text which intersect with a specified an annotation.

If the whole character or most part of the character intersects with an annotation, this character will be retrieved by current function.

Parameters

  [in] | annot | An annotation. Page text which intersects with this annotation is to be retrieved. Currently, only support text markup annotation (highlight/underline/strike-out/squggly annotations); for annotation in other types, this function will throw exception FSErrUnsupported.

Returns
  The text which intersects with the specified annotation.

## ◆ getWordAtPos:y:tolerance:()

- (FSRange *) getWordAtPos: |  | (float) | x
y: |  | (float) | y
tolerance: |  | (float) | tolerance

Get the character range of a word at or around a specified position on the page, in PDF coordinate system.

Currently, for Chinese/Japanese/Korean, only support to get a single character at or around the specified position.

Parameters

  [in] | x | Value of x position, in PDF coordinate system.
  [in] | y | Value of y position, in PDF coordinate system.
  [in] | tolerance | Tolerance value for word hit detection, in point units.This should not be a negative.

Returns
  The character range that represents the expected word. There would be at most one valid range segment in this range object. If returned range object is empty, that means no such word is found.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSTextPage*) | other |

Constructor, with another text page object.

Parameters

  [in] | other | Another text page object.

## ◆ initWithPage:flags:()

- (id) initWithPage: |  | (FSPDFPage*) | page
flags: |  | (int) | flags

Constructor, from a parsed PDF page.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.
  [in] | flags | Parsing flags for the text page. Please refer to values starting from FSTextPageParseTextNormal and this can be one or combination of these values.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.